Subject: Re: linux-next: manual merge of the char-misc tree with the char-misc.current tree

From: Andy Shevchenko <[email-masked]>
Date: Mon, 6 Dec 2021 15:43:11 +0200

On Mon, Dec 06, 2021 at 02:49:01PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the char-misc tree got a conflict in:
> 
>   drivers/misc/eeprom/at25.c
> 
> between commit:
> 
>   9a626577398c ("nvmem: eeprom: at25: fix FRAM byte_len")
> 
> from the char-misc.current tree and commits:
> 
>   5b557298d7d0 ("misc: at25: Make driver OF independent again")
>   a692fc39bf90 ("misc: at25: Don't copy garbage to the at25->chip in FRAM case")
>   58589a75bba9 ("misc: at25: Check proper value of chip length in FRAM case")
>   51902c1212fe ("misc: at25: Use at25->chip instead of local chip everywhere in ->probe()")
> (and probably more)
> 
> from the char-misc tree.
> 
> I fixed it up (I just used the latter version) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

The result from char-misc.current should be used as is and I guess it's
what you have done, thanks!

-- 
With Best Regards,
Andy Shevchenko